Bug 1385516 - CVE-2016-8690 CVE-2016-8691 CVE-2016-8692 CVE-2016-8693 jasper: various flaws [fedora-all]
Summary: CVE-2016-8690 CVE-2016-8691 CVE-2016-8692 CVE-2016-8693 jasper: various flaws...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jasper
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1385637
Blocks: CVE-2016-8690, CVE-2016-8884, CVE-2016-8885 CVE-2016-8691, CVE-2016-8692 1385503 CVE-2016-8693
TreeView+ depends on / blocked
 
Reported: 2016-10-17 08:54 UTC by Adam Mariš
Modified: 2016-11-10 15:51 UTC (History)
2 users (show)

Fixed In Version: jasper-1.900.13-1.fc25 jasper-1.900.13-1.fc23 jasper-1.900.13-1.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:41:57 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2016-10-17 08:54:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2016-10-17 08:54:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1385499,1385502,1385503,1385507,1385516

# Description of your update
notes=Security fix for CVE-2016-8690, CVE-2016-8691, CVE-2016-8692, CVE-2016-8693

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Josef Ridky 2016-10-18 11:30:17 UTC
Fixes for CVE-2016-8690, CVE-2016-8691 and CVE-2016-8692 are presented in jasper new rebase (jasper-1.900.5) 

For CVE-2016-8693 does not exist solution yet.

Comment 3 Josef Ridky 2016-10-24 06:57:31 UTC
Fix for CVE-2016-8693

Reference commit: https://github.com/mdadams/jasper/commit/44a524e367597af58d6265ae2014468b334d0309

Fix for CVE-2016-8690

Reference commit: https://github.com/mdadams/jasper/commit/8f62b4761711d036fd8964df256b938c809b7fca

Fix for CVE-2016-8691 and CVE-2016-8692:

Reference commit: https://github.com/mdadams/jasper/commit/d8c2604cd438c41ec72aff52c16ebd8183068020

All this CVE are included in new jasper rebase (jasper-1.900.13)

Comment 4 Fedora Update System 2016-10-25 01:22:01 UTC
jasper-1.900.13-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6c789ba91d

Comment 5 Fedora Update System 2016-10-25 02:21:49 UTC
jasper-1.900.13-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0f0d48142

Comment 6 Fedora Update System 2016-10-25 04:21:51 UTC
jasper-1.900.13-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81f9c6f0ae

Comment 7 Fedora Update System 2016-10-28 00:41:57 UTC
jasper-1.900.13-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-11-09 22:50:45 UTC
jasper-1.900.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-11-10 03:22:30 UTC
jasper-1.900.13-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-10 15:51:22 UTC
jasper-1.900.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.